org.codehaus.plexus.util.interpolation

## Class RegexBasedInterpolator

- java.lang.Object
- - org.codehaus.plexus.interpolation.RegexBasedInterpolator
  - - org.codehaus.plexus.util.interpolation.RegexBasedInterpolator

- All Implemented Interfaces:
    org.codehaus.plexus.interpolation.BasicInterpolator, org.codehaus.plexus.interpolation.Interpolator

  Deprecated.
  Use plexus-interpolation APIs instead.

      public class RegexBasedInterpolator
      extends org.codehaus.plexus.interpolation.RegexBasedInterpolator
      implements Interpolator

  Version:
    $Id: RegexBasedInterpolator.java 8010 2009-01-07 12:59:50Z vsiveton $

- - ### Field Summary

    - ### Fields inherited from class org.codehaus.plexus.interpolation.RegexBasedInterpolator

      `DEFAULT_REGEXP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegexBasedInterpolator()` Deprecated.
    `RegexBasedInterpolator(java.util.List valueSources)` Deprecated.
    `RegexBasedInterpolator(java.lang.String startRegex, java.lang.String endRegex)` Deprecated.
    `RegexBasedInterpolator(java.lang.String startRegex, java.lang.String endRegex, java.util.List valueSources)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addValueSource(ValueSource valueSource)` Deprecated.
    `void` | `removeValuesSource(ValueSource valueSource)` Deprecated.

    - ### Methods inherited from class org.codehaus.plexus.interpolation.RegexBasedInterpolator

      `addPostProcessor, addValueSource, clearAnswers, clearFeedback, getFeedback, interpolate, interpolate, interpolate, interpolate, isCacheAnswers, isReusePatterns, removePostProcessor, removeValuesSource, setCacheAnswers, setReusePatterns`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.codehaus.plexus.interpolation.Interpolator

      `addPostProcessor, addValueSource, clearAnswers, clearFeedback, getFeedback, interpolate, interpolate, isCacheAnswers, removePostProcessor, removeValuesSource, setCacheAnswers`

    - ### Methods inherited from interface org.codehaus.plexus.interpolation.BasicInterpolator

      `interpolate, interpolate`

- - ### Constructor Detail

    - #### RegexBasedInterpolator

          public RegexBasedInterpolator()

      Deprecated.

    - #### RegexBasedInterpolator

          public RegexBasedInterpolator(java.util.List valueSources)

      Deprecated.

    - #### RegexBasedInterpolator

          public RegexBasedInterpolator(java.lang.String startRegex,
                                        java.lang.String endRegex,
                                        java.util.List valueSources)

      Deprecated.

    - #### RegexBasedInterpolator

          public RegexBasedInterpolator(java.lang.String startRegex,
                                        java.lang.String endRegex)

      Deprecated.

  - ### Method Detail

    - #### addValueSource

          public void addValueSource(ValueSource valueSource)

      Deprecated.

    - #### removeValuesSource

          public void removeValuesSource(ValueSource valueSource)

      Deprecated.